{% extends 'app_lmgas/base.html' %}
{% load static %}
{% block title%}LMGAS - Listado Clientes{% endblock%}


{% block contenido %}

{% if messages %}
    {% for msg in messages  %}
        <script>
            Swal.fire({
            title:'Éxito',
            text:'{{msg}}',
            icon:'success',
            confirmButtonText:'Aceptar',
            confirmButtonColor:'#3085d6'
            })
        </script>
    {% endfor %}
{% endif %}

<div class="container" style="margin-top: 50px;">
        <h6 id="direccion"><a href="{% url 'home' %}">inicio </a>><a href="{%url 'Admin'%}"> administrador </a>> clientes</h6>

        <div class="row">
            <div id="panel-cliente" class="col-sm-3">
                <ul class="nav flex-column">
                    <li>
                        <h3 style="border-bottom: 1px solid #acacac;">Panel de Admin</h3>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'Admin' %}">Mi cuenta</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'ListaProductos' %}">Productos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'AdminPedidos' %}">Pedidos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'AdminClientes' %}">Clientes</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="logout.html">Cerrar sesión</a>
                    </li>
                </ul>
            </div>

            <div class="col-sm-9">
                <div>
                    <h3 class="float-left">Listado de clientes</h3>
                    <form class="form-inline my-2 my-lg-0 float-right">
                        <input class="form-control mr-sm-2" type="search" placeholder="Filtrar" aria-label="Search">
                        <button class="btn btn-outline-success my-2 my-sm-0 bg-primary text-light border-primary"
                            type="submit">Filtrar</button>
                    </form>
                </div>

                <table class="table table-hover table-responsive-sm table-sm ">
                    <thead>
                        <tr>
                            <th>Nombre usuario</th>
                            <th>Nombre</th>
                            <th>Apellido</th>
                            <th>Correo electronico</th>
                            <th>Fecha de ingreso</th>
                            <th>Estado</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for cliente in listado  %}
                        {% if cliente.is_staff %}
                        {% else %}
                            <tr>  
                            <td>{{cliente.username}}</td>
                            
                            <td>
                            {% if cliente.first_name == "" %}
                                No especifica
                            {% else %}
                                {{cliente.first_name}}
                            {% endif %}
                            </td>
                            <td>
                            {% if cliente.last_name == "" %}
                                No especifica
                            {% else %}
                                {{cliente.last_name}}
                            {% endif %}
                            </td>
                            <td>{{cliente.email}}</td>
                            <td>{{cliente.date_joined}}</td>
                            <td>
                            {% if cliente.is_active %}
                                Activo
                            {% else %}
                                Inactivo    
                            {% endif %}</td>
                            <td>
                                <a href="{% url 'EditarCliente' cliente.id %}">
                                    <ion-icon style="font-size: 30px;" name="create"></ion-icon>
                                </a>
                            </td>
                        </tr>       
                        {% endif %}
            
                    {% endfor %}
                    </tbody>

                </table>
            </div>
        </div>

    </div>
    </div>

{% endblock contenido %}